### Method

# Ide PtyIntercept clear

#### Declaration

    void
    ide_pty_intercept_clear (
      IdePtyIntercept* self
    )

#### Description

Cleans up a `IdePtyIntercept` previously initialized with ide_pty_intercept_init().

This diconnects any `GIOChannel` that have been attached and releases any allocated memory.

It is invalid to use `self` after calling this function.

Available since: | 3.32